Subject: Re: [feature/native-comp] new (X11) windows don't use configured face/font

From: Christian Thäter <[email-masked]>
Date: Mon, 4 Jan 2021 08:49:16 +0100

Bisect result:

c4efb49a27f05284d28eac7f60b28495c68f63fb is the first bad commit
commit c4efb49a27f05284d28eac7f60b28495c68f63fb
Author: Andrea Corallo <[email-masked]>
Date:   Tue Dec 29 13:29:02 2020 +0100

    Constrain mvars under compare and branch with built-in predicates
    
            * lisp/emacs-lisp/comp.el (comp-emit-assume): Update.
            (comp-known-predicate-p): New function.
            (comp-add-cond-cstrs): Extend to pattern match predicate
    calls.
            * lisp/emacs-lisp/comp-cstr.el (comp-cstr-null-p)
            (comp-pred-to-cstr): New function.
            * test/src/comp-tests.el (comp-tests-type-spec-tests): Add a
            number of tests and fix comments.

 lisp/emacs-lisp/comp-cstr.el | 11 +++++++
 lisp/emacs-lisp/comp.el      | 69
 ++++++++++++++++++++++++++++++++++++++------ test/src/comp-tests.el
    | 69 +++++++++++++++++++++++++++++++++----------- 3 files changed,
 123 insertions(+), 26 deletions(-)

On 2021-01-03 20:14, Andrea Corallo wrote:

>Christian Thaeter <[email-masked]> writes:
>
>> Opening a new emacs window under X11 falls back to
>> "Bitstream Vera Sans" not honoring the default face I have
>> configured.
>>
>> I can change the face, but opening a new window still falls back.
>>
>> When I compile the exact same source tree without '--with-nativecomp'
>> then the Problem vanishes.
>>
>> My tree here is native-comp
>> (a3f2373bfb604af5570c86b4ffefb23296a5bfdd) merged with master
>> (825b4ec338e82869dc656c7041ab2483b6c22479).
>>
>> 	Cheers Christian  
>
>Hi Christian,
>
>could you provide a minimal reproducer I can use to investigate?
>
>Thanks!
>
>  Andrea